Bug 123433 - FILEOPEN: DOC: Background from paragraph is applied to remainder of the document
Summary: FILEOPEN: DOC: Background from paragraph is applied to remainder of the document
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-02-13 12:51 UTC by Xisco Faulí
Modified: 2019-03-12 12:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (33.00 KB, application/msword)
2019-02-13 12:51 UTC, Xisco Faulí
Details
comparison MSO 2010 and LibreOffice 6.3 Master (777.22 KB, image/png)
2019-02-13 12:53 UTC, Xisco Faulí
Details
another file affected (19.00 KB, application/msword)
2019-02-13 13:22 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-02-13 12:51:06 UTC
Created attachment 149257 [details]
sample file

Steps to reproduce:
1. Open attached document

-> The section has the orange paragraph from the paragraph above.

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 6d52cd1c0b7270a512a8e4ea988432fdad3e4385
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-02-13 12:52:35 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3539a1efb41a787237e4333ebc715db96ffacb5b

author	Justin Luth <justin.luth@collabora.com>	2018-11-28 16:17:22 +0300
committer	Justin Luth <justin_luth@sil.org>	2019-01-15 19:50:35 +0100
commit	3539a1efb41a787237e4333ebc715db96ffacb5b (patch)
tree	a671c2f9d57a33bd6e55d5835223c30461f557c1
parent	e1e772e40f83a8f1d7c4947c5784e1fe8b640d5b (diff)
tdf#116071 ww8import: import to XATTR_FILL instead of RES_BACKGROUND

Bisected with: bibisect-linux64-6.3

Adding Cc: to Justin Luth
Comment 2 Xisco Faulí 2019-02-13 12:53:00 UTC
Created attachment 149258 [details]
comparison MSO 2010 and LibreOffice 6.3 Master
Comment 3 Xisco Faulí 2019-02-13 13:20:52 UTC
Same problem with attachment 112463 [details] from bug 64473
Comment 4 Xisco Faulí 2019-02-13 13:22:23 UTC
Created attachment 149261 [details]
another file affected
Comment 5 Justin L 2019-02-19 10:37:07 UTC
I requested that the backport to 6.2 be reverted.

The proposed fix for master is at https://gerrit.libreoffice.org/68011.
Comment 6 Commit Notification 2019-02-20 08:12:17 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1a01b2f7ef83a0c73a52eefaed4a37a2c0812dda%5E%21

tdf#123433 ww8import: end same attribute as what started

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-02-20 18:54:22 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/9b86be693156206e2eb7ace60435b622f4318160%5E%21

tdf#123433 ww8import: end same attribute as what started

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-02-24 18:33:33 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-1":

https://git.libreoffice.org/core/+/d0b23025b9ea9bbd911db54ca8a5023a00fab29e%5E%21

tdf#123433 ww8import: end same attribute as what started

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Justin L 2019-02-25 03:55:36 UTC
Fixed and backported to 6.2.1 - so obviously the revert request from comment 5 didn't happen.
Comment 10 Xisco Faulí 2019-03-12 12:33:28 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 8aa579830b20072af8d6e149d6b279362fe98b91
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Justin Luth, Thanks for fixing this!!